Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml
[Java] Class NamespaceBuilderSupport

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              groovy.xml.NamespaceBuilderSupport

    public class NamespaceBuilderSupport
    extends BuilderSupport

A helper class for creating namespaced GroovyMarkup

Authors:
  James Strachan
  Paul King
  Denver Dino

Constructor Summary
`NamespaceBuilderSupport(BuilderSupport builder)`
`NamespaceBuilderSupport(BuilderSupport builder, java.lang.String uri)`
`NamespaceBuilderSupport(BuilderSupport builder, java.lang.String uri, java.lang.String prefix)`
`NamespaceBuilderSupport(BuilderSupport builder, java.lang.String uri, java.lang.String prefix, boolean autoPrefix)`
`NamespaceBuilderSupport(BuilderSupport builder, java.util.Map nsMap)`

Method Summary
`protected java.lang.Object` | `createNode(java.lang.Object name)`
`protected java.lang.Object` | `createNode(java.lang.Object name, java.lang.Object value)`
`protected java.lang.Object` | `createNode(java.lang.Object name, java.util.Map attributes)`
`protected java.lang.Object` | `createNode(java.lang.Object name, java.util.Map attributes, java.lang.Object value)`
`NamespaceBuilderSupport` | `declareNamespace(java.util.Map nsMap)`
`protected java.lang.Object` | `getCurrent()`
`protected java.lang.Object` | `getName(java.lang.String methodName)`
`NamespaceBuilderSupport` | `namespace(java.lang.String namespaceURI)`
`NamespaceBuilderSupport` | `namespace(java.lang.String namespaceURI, java.lang.String prefix)`
`protected void` | `setCurrent(java.lang.Object current)`
`protected void` | `setParent(java.lang.Object parent, java.lang.Object child)`

Methods inherited from class BuilderSupport
createNode, createNode, createNode, createNode, doInvokeMethod, getCurrent, getName, invokeMethod, invokeMethod, nodeCompleted, postNodeCompletion, setClosureDelegate, setCurrent, setParent

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### NamespaceBuilderSupport

    public NamespaceBuilderSupport(BuilderSupport builder)

### NamespaceBuilderSupport

    public NamespaceBuilderSupport(BuilderSupport builder, java.lang.String uri)

### NamespaceBuilderSupport

    public NamespaceBuilderSupport(BuilderSupport builder, java.lang.String uri, java.lang.String prefix)

### NamespaceBuilderSupport

    public NamespaceBuilderSupport(BuilderSupport builder, java.lang.String uri, java.lang.String prefix, boolean autoPrefix)

### NamespaceBuilderSupport

    public NamespaceBuilderSupport(BuilderSupport builder, java.util.Map nsMap)

Method Detail

### createNode

    return name;
    protected java.lang.Object createNode(java.lang.Object name)

### createNode

    return name;
    protected java.lang.Object createNode(java.lang.Object name, java.lang.Object value)

### createNode

    return name;
    protected java.lang.Object createNode(java.lang.Object name, java.util.Map attributes)

### createNode

    return name;
    protected java.lang.Object createNode(java.lang.Object name, java.util.Map attributes, java.lang.Object value)

### declareNamespace

    public NamespaceBuilderSupport declareNamespace(java.util.Map nsMap)

### getCurrent

    @Override
    protected java.lang.Object getCurrent()

### getName

    String prefix = autoPrefix ? nsMap.keySet().iterator().next() : "";
    protected java.lang.Object getName(java.lang.String methodName)

### namespace

    public NamespaceBuilderSupport namespace(java.lang.String namespaceURI)

### namespace

    public NamespaceBuilderSupport namespace(java.lang.String namespaceURI, java.lang.String prefix)

### setCurrent

    protected void setCurrent(Object current) {
    protected void setCurrent(java.lang.Object current)

### setParent

    }
    protected void setParent(java.lang.Object parent, java.lang.Object child)

Groovy Documentation